php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #57951 Compile Fails
Submitted: 2007-12-04 11:34 UTC Modified: 2008-12-20 12:29 UTC
From: nilesh dot 3892 at gmail dot com Assigned:
Status: Closed Package: ssh2 (PECL)
PHP Version: 5.2.1 OS: Fedora 7
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: nilesh dot 3892 at gmail dot com
New email:
PHP Version: OS:

 

 [2007-12-04 11:34 UTC] nilesh dot 3892 at gmail dot com
Description:
------------
Compile fails with following errors:

/tmp/pear/cache/ssh2-0.9/ssh2.c:46: error: static declaration of 'first_arg_force_ref' follows non-static declaration
/usr/include/php/Zend/zend_modules.h:35: error: previous declaration of 'first_arg_force_ref' was here
/tmp/pear/cache/ssh2-0.9/ssh2.c: In function 'zif_ssh2_methods_negotiated':
/tmp/pear/cache/ssh2-0.9/ssh2.c:477: warning: passing argument 2 of 'libssh2_session_methods' makes integer from pointer without a cast
/tmp/pear/cache/ssh2-0.9/ssh2.c:477: error: too many arguments to function 'libssh2_session_methods'
/tmp/pear/cache/ssh2-0.9/ssh2.c: In function 'zif_ssh2_fingerprint':
/tmp/pear/cache/ssh2-0.9/ssh2.c:532: warning: assignment discards qualifiers from pointer target type
make: *** [ssh2.lo] Error 1
ERROR: `make' failed



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2008-02-01 14:22 UTC] Fedora at FamilleCollet dot com
Compile error is caused by recent libssh2 version.

Here is a patch that solves the issue

http://remi.collet.free.fr/files/ssh2.patch

Regards
 [2008-05-08 10:15 UTC] volkirik at yahoo dot com dot tr
ssh2.c patch:


LINE 480:
search and change following line:
#if LIBSSH2_APINO < 200412301450
...
#else

to:
#if (defined(LIBSSH2_APINO) && LIBSSH2_APINO < 200412301450)
...
#else /* if LIBSSH2_APINO is not defined its v0.14 or higher. no problem! */

LINE 1216:
search and change following line:
#if (LIBSSH2_APINO > 200503221619)

to:
#if (defined(LIBSSH2_APINO) && (LIBSSH2_APINO > 200503221619)) || (defined(LIBSSH2_VERSION_NUM) && LIBSSH2_VERSION_NUM >= 0x001000)



Compile again!


----
Volkan K.
 [2008-12-20 12:29 UTC] mikesul@php.net
Thank you for your bug report. This issue has been fixed
in the latest released version of the package, which you can download at
http://pecl.php.net/get/ssh2


 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Sat Apr 04 01:01:23 2020 UTC